<?
	/** Plik pobierajacy z bazy danych sklad osobowy i zadania danej grupy oraz wyświetlająca te dane.
	 * @author Lukasz Chmielewski
	 * @package XPAsystent
	 */

	if (!$sess->isLoged("Asys")) {
		$xpage="";
		return;
	}

	/** Pobranie danych z $_GET (bo tylko tak do tego pliku mogą się dostać).
	 * Stworzenie linku do samego siebie.
	*/
	include './functions/Acheck.fun.php';
	$Numer_grupy = $_GET['Numer_grupy'];
	$Id_w_cyklu = $_GET['Id_w_cyklu'];
	$Przedmiot_gr = $_GET['Przedmiot_gr'];
	$Cykl_gr = $_GET['Cykl_gr'];
	$Cykl_nazwa_gr = $_GET['Cykl_nazwa_gr'];
	$What_os = $_GET['What_os'];
	$What_zad = $_GET['What_zad'];
	$Left = $_GET['Left'];

	zrob_treelink_sklad ("Asys_sklad", "Asys_sklad", 
	'Numer_grupy', $Numer_grupy, 
	'Id_w_cyklu', $Id_w_cyklu,
	'Przedmiot_gr', $Przedmiot_gr,
	'Cykl_gr', $Cykl_gr,
	'Cykl_nazwa_gr', $Cykl_nazwa_gr,
	'What_os', $What_os,
	'What_zad', $What_zad,
	'Left', 'x');

	include './functions/Adb.fun.php';

	/** Jeśli trzeba to odświerzenie lewego menu.
	*/
	if ($Left == 'x') {
		$yes = 'true';
		include "Aleft_menu.inc.php";
	}

	/** W zależności od $What_zad i $What_os różne czynności są wykonywane w pliku.
	*/
	if ((isset($What_zad))&&(isset($What_os)))
		$co = 2;
	if ((isset($What_zad))&&(!isset($What_os)))
		$co = 0;
	if ((!isset($What_zad))&&(isset($What_os)))
		$co = 3;
	if ((!isset($What_zad))&&(!isset($What_os)))
		$co = 1;

	readGroupData($Numer_grupy, $Id_w_cyklu, $co, $Przedmiot_gr, $Cykl_nazwa_gr, $Cykl_gr);
?>
